export declare class PAGFont {
    /**
     * Create PAGFont instance.
     */
    static create(fontFamily: string, fontStyle: string): PAGFont;
    /**
     * Register custom font family in the browser.
     */
    static registerFont(family: string, data: File): Promise<void>;
    /**
     * Register fallback font names from pag.
     */
    static registerFallbackFontNames(fontNames?: String[]): void;
    wasmIns: any;
    isDestroyed: boolean;
    readonly fontFamily: string;
    readonly fontStyle: string;
    constructor(wasmIns: any);
    destroy(): void;
}
